| Home | Libraries | People | FAQ | More

## Function template one_of_equal

boost::algorithm::one_of_equal

## Synopsis

    // In header: <boost/algorithm/cxx11/one_of.hpp>

    template<typename InputIterator, typename V>
      BOOST_CXX14_CONSTEXPR bool
      one_of_equal(InputIterator first, InputIterator last, const V & val);

## Description

Parameters:

`first` | The start of the input sequence
`last` | One past the end of the input sequence
`val` | A value to compare against

Returns: | true if the value 'val' exists only once in [first, last).